View Issue Details

IDProjectCategoryView StatusLast Update
0001938SymmetricDSImprovementpublic2014-08-27 08:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.6 
Target Version3.6.6Fixed in Version3.6.6 
Summary0001938: Add the ability to copy a node to a new node id
DescriptionAdded a property called node.copy.mode.enabled. If enabled and an external id is encountered that is different than the external id configured in the database, then a request will be made to the registration server to register a new node id based on the new external_id, copy outstanding outgoing batches (based on the incoming batch ids per channel of the old node id), and delete the local node identity so the node will re-register and pick up syncing where the old node left off.

This all hinges on the fact that the retention period for outgoing batches is greater than the time the copy of the database was made.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 3b7bef1c

2014-08-26 16:23:11

chenson

Details Diff
0001938: Add the ability to copy a node to a new node id
0001938
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/BatchId.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IIncomingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IOutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IRegistrationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/ITransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalTransportManager.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/transport/MockTransportManager.java Diff File
add - symmetric-server/src/main/java/org/jumpmind/symmetric/web/CopyNodeUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/ServerSymmetricEngine.java Diff File

Issue History

Date Modified Username Field Change
2014-08-26 16:20 chenson New Issue
2014-08-26 16:20 chenson Status new => assigned
2014-08-26 16:20 chenson Assigned To => chenson
2014-08-26 17:00 chenson Changeset attached => SymmetricDS trunk r8645
2014-08-27 08:51 chenson Status assigned => resolved
2014-08-27 08:51 chenson Fixed in Version => 3.6.6
2014-08-27 08:51 chenson Resolution open => fixed
2014-08-27 08:53 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 3b7bef1c